uart_configuration_t Struct Reference

the possible properties of a UART configuration (to be updated with every character) More...

## Data Fields

uint8_t | databits
| data word size in bits
bool | databits_matching
| if the data is still matching the data bits
bool | parity_even
| if the date is still matching the additional even parity bit
bool | parity_odd
| if the date is still matching the additional odd parity bit
bool | parity_mark
| if the date is still matching the additional mark parity bit
bool | parity_space
| if the date is still matching the additional space parity bit
uint8_t | parity_possibilities
| the number to still matching parity possibilities (number of parity_* at true)

## Detailed Description

the possible properties of a UART configuration (to be updated with every character)

Definition at line 668 of file busvoodoo_uart_generic.c.

The documentation for this struct was generated from the following file:

- lib/busvoodoo_uart_generic.c